<div *ngIf="user" align="center">

    <h2>{{user.name | uppercase}} Details</h2>
    <form [formGroup]="updateForm" (ngSubmit)="onSubmit()">
    <label>ID:
        <input type = "text" formControlName = "id" class = "form-control" [(ngModel)]="user.id" placeholder="name" disabled/>
    </label>
    <div class= "form-group">
        <label for="name">Name:
            <input type = "text" formControlName = "name" class = "form-control" [(ngModel)]="user.name" placeholder="name" />
        </label>
    </div><br>
    <div class= "form-group">
        <label for="location">Location:
            <input type = "text" formControlName = "location" class = "form-control" [(ngModel)]="user.location" placeholder="location"/>
        </label>
    </div><br>
    <div class= "form-group">
        <label for="gender">Gender:
            <input type = "text" formControlName = "gender" class = "form-control" [(ngModel)]="user.gender" placeholder="gender"/>
        </label>
    </div><br>
    <div class= "form-group">
        <label for="password">Password:
            <input type = "password" formControlName = "password" class = "form-control" [(ngModel)]="user.password" placeholder="password"/>
        </label>
    </div>
    <br><br>
    <div class= "form-group">
    <button class = "btn btn-primary" type="submit" >save</button>&nbsp;
    <a routerLink = "" class= "btn btn-danger">Go Back</a>   
     </div>
</form>

</div>